Update customer preferences
POST
/cms/customer/preference/{pref_key}
const url = 'https://api.example.com/cms/customer/preference/example';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"pref_value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/customer/preference/example \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "pref_value": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pref_key
required
string
Preference key to update
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
pref_value
string
Example generated
{ "pref_value": "example"}Responses
Section titled “Responses”Preferences updated
Media typeapplication/json
object
success
boolean
Example generated
{ "success": true}